package cn.pluss.platform.leshua;

/**
 * @author yuchen
 * 
 * @Description 
 * 乐刷返回
 */
public class LeshuaBaseRes {
	
	/** 响应状态码，0代表成功，非0代表成功 **/
	protected String resp_code;
	
	/** 错误信息，resp_code非0时返回 **/
	protected String resp_msg;
	
	/** 业务结果，0成功，非0失败 **/
	public String result_code;

	/** 错误码 **/
	public String error_code;

	/** 错误描述 **/
	public String error_msg;

	/** 随机字符串 **/
	public String nonce_str;

	/** MD5签名 **/
	public String sign;

	public String getResp_code() {
		return resp_code;
	}

	public void setResp_code(String resp_code) {
		this.resp_code = resp_code;
	}

	public String getResp_msg() {
		return resp_msg;
	}

	public void setResp_msg(String resp_msg) {
		this.resp_msg = resp_msg;
	}

	public String getResult_code() {
		return result_code;
	}

	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}

	public String getError_code() {
		return error_code;
	}

	public void setError_code(String error_code) {
		this.error_code = error_code;
	}

	public String getError_msg() {
		return error_msg;
	}

	public void setError_msg(String error_msg) {
		this.error_msg = error_msg;
	}

	public String getNonce_str() {
		return nonce_str;
	}

	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	@Override
	public String toString() {
		return "LeshuaBaseRes [resp_code=" + resp_code + ", resp_msg=" + resp_msg + ", result_code=" + result_code
				+ ", error_code=" + error_code + ", error_msg=" + error_msg + ", nonce_str=" + nonce_str + ", sign="
				+ sign + "]";
	}
	
	

}

